GCLOUD_DATASTORE_CREATE-INDEXES(1)

NAME

gcloud datastore create-indexes - create new datastore indexes based on your local index configuration

SYNOPSIS

gcloud datastore create-indexes INDEX_FILE [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
This command creates new datastore indexes based on your local index configuration. Any indexes in your index file that do not exist will be created.

POSITIONAL ARGUMENTS

    INDEX_FILE
        The path to your index.yaml file.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
To create new indexes based on your local configuration, run:
    $ gcloud datastore create-indexes ~/myapp/index.yaml
Detailed information about index configuration can be found at the index.yaml reference (https://cloud.google.com/appengine/docs/standard/python/config/indexref).